
-- tutorial/objective definitions
-- format is { "グループ名", MinimumP, GateEvent, CompleteEvent,
--             { { "Objective 1 Text", Objective1Event },
--               { "Objective 2 Text", Objective2Event } } }
-- The various events are marked as completed by the game code and are saved per-slot
--话说最近不看教程的人越来越多了
{
   { "基本", 0, 0, BASIC_TUT,
     {  { "进入世界", SPAWN_INTRO },
        { "按下'$fireMain'来发射第一武器组。", FIRE_CANNON },
        { "按下'$fireAlt'来发射第二武器组。", FIRE_MISSILE },
        { "按下'$viewConstructor'来改造你的舰船。", USED_EDITOR } } },

   { "资源", 0, BASIC_TUT, RES_TUT,
     {  { "拾取一个^6R^7。", PICKUP_RES_SMALL }, 
        { "靠近一个^2有工厂块的船^7来交易^6R^7以获得^3C^7。", TRANSFER_RU },
        { "与^2有工厂块的船^7交易至少^6100R^7以获得^3C^7。", TRANSFER_RU_QUANT },
        { "探索地图以获得^3C^7。", EXPLORED },
        { "摧毁一个敌方舰船来获得^3C^7 与 ^6R^7。", KILL_A_SHIP },
        { "按下'$viewUpgrades'然后（或者获得）一些新零件或增加你的^6P^7。", UPGRADE_SOMETHING } },
   },

   { "武器组", 400, MULTIPLE_WEAPONS, 0,
     { { "按下'$viewBindings'来修改武器组。", USED_BINDINGS } } }

   -- binding screen
   -- fleet stuff

   { "目标", 0, BASIC_TUT, 0,
     { { "按下'$viewMap'来观察大地图。", USED_MAP },
        { "靠近一个^4损坏的空间站^7 来重新激活它。", ACTIVATED_STATION } }
   }
   
   { "工厂", 500, RES_TUT|MAYBE_FACTORY|FACTORY_ON_SHIP|UNLOCK_FACTORY, 0,
     {
        { "通过按下'$viewUpgrades'进入的界面解锁一个工厂块。", UNLOCK_FACTORY },
        { "将一个工厂块放到你的船上。", FACTORY_ON_SHIP },
        { "使用'$viewSelector'然后放置一个蓝图在你的舰船旁边的格子上。", SHIP_IN_CHILD_SLOT},
        { "使用'$activate'来制造一艘船。", SPAWN_CHILD },
        { "制造1艘有工厂块的船来完成这个循环。", SPAWN_FACTORY } }
   },

   { "舰队", 450, LOTS_OF_LC, 0,
     { { "按下'$toggleTractor'进入指挥模式。", COMMAND_MODE },
        { "使用'$fireMain'来招募1艘友军舰船。",  RECRUIT_ALLY },
        { "再使用'$fireMain'来解放它。（同时你会得到^3C^7）",  RELEASE_ALLY },
        { "使用'$viewSelector'来编辑目标友军舰船以及它的建造顺序。", EDIT_COMMAND_TARGET },
     }
   },
   
   { "能源", 0, NO_POWER, 0,
      {{ "放置一个发电机到你的船上以获得更多能源。", GENERATOR_ON_SHIP }}
   },

   { "目标", 800, RES_TUT, 0,
     {{ "使用地图定位并摧毁一个^代理人^7", DESTROYED_TARGET },
        { "通过摧毁一个势力的超过^51000P^7的舰船来解锁那个势力（假如那个势力可以被解锁的话）。", UNLOCKED_FACTION }}
   },

   { "虫洞", 1000, RES_TUT, 0,
     { { "使用虫洞来上传你的舰队并且不改变世界。", WORMHOLE_UPLOAD },
        { "穿过一个虫洞到达新世界。", ENTER_WORMHOLE } }
   },
}
